<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="64dp"
    android:descendantFocusability="blocksDescendants" >

    <!-- NOTIFICATION IS 64 dpi / android > 3.0 -->

    <ImageView
        android:id="@+id/notif_image"
        android:layout_width="64dp"
        android:layout_height="match_parent"
        android:layout_alignParentLeft="true"
        android:layout_centerVertical="true"
        android:layout_margin="@dimen/margin_small"
        android:scaleType="centerInside" />

    <LinearLayout
        android:id="@+id/notif_layout_text"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerVertical="true"
        android:layout_marginLeft="@dimen/margin_small"
        android:layout_toLeftOf="@+id/notif_btn_play"
        android:layout_toRightOf="@+id/notif_image"
        android:orientation="vertical" >

        <TextView
            android:id="@+id/notif_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:ellipsize="marquee"
            android:singleLine="true"
            android:text="..."
            android:textColor="@android:color/white"
            android:textSize="18sp"
            android:textStyle="normal" />

        <TextView
            android:id="@+id/notif_text"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:ellipsize="marquee"
            android:singleLine="true"
            android:text="..."
            android:textColor="@android:color/white"
            android:textSize="14sp"
            android:textStyle="normal" />
    </LinearLayout>

    <!-- PLAY -->

    <ImageButton
        android:id="@+id/notif_btn_play"
        android:layout_width="42dp"
        android:layout_height="42dp"
        android:layout_centerVertical="true"
        android:layout_toLeftOf="@+id/notif_close"
        android:background="@drawable/selector_notification"
        android:src="@drawable/selector_btn_play_small"
        android:visibility="invisible" />

    <!-- CLOSE -->

    <ImageView
        android:id="@+id/notif_close"
        android:layout_width="56dp"
        android:layout_height="56dp"
        android:layout_alignParentRight="true"
        android:layout_centerVertical="true"
        android:layout_marginRight="@dimen/margin_small"
        android:background="@drawable/selector_notification"
        android:clickable="true"
        android:scaleType="centerInside"
        android:src="@android:drawable/ic_menu_close_clear_cancel" />

</RelativeLayout>